Bug 1414800 - keystone role-list return exception.
Summary: keystone role-list return exception.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 8.0 (Liberty)
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Dan Macpherson
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 13:42 UTC by Sofer Athlan-Guyot
Modified: 2017-03-20 14:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-20 14:11:26 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Sofer Athlan-Guyot 2017-01-19 13:42:25 UTC
Description of problem: 

Following "3.2. Upgrading the Director", it is asked to check for _member_ role using keystone role-list after the director upgrade.  It currently return this:

    keystone role-list | grep _member_
    /usr/lib/python2.7/site-packages/keystoneclient/shell.py:65: DeprecationWarning: The keystone CLI is deprecated in favor of python-openstackclient. For a Python library, continue using python-keystoneclient.
      'python-keystoneclient.', DeprecationWarning)
    /usr/lib/python2.7/site-packages/keystoneclient/v2_0/client.py:145: DeprecationWarning: Constructing an instance of the keystoneclient.v2_0.client.Client class without a session is deprecated as of the 1.7.0 release and may be removed in the 2.0.0 release.
      'the 2.0.0 release.', DeprecationWarning)
    /usr/lib/python2.7/site-packages/keystoneclient/v2_0/client.py:147: DeprecationWarning: Using the 'tenant_name' argument is deprecated in version '1.7.0' and will be removed in version '2.0.0', please use the 'project_name' argument instead
      super(Client, self).__init__(**kwargs)
    /usr/lib/python2.7/site-packages/debtcollector/renames.py:45: DeprecationWarning: Using the 'tenant_id' argument is deprecated in version '1.7.0' and will be removed in version '2.0.0', please use the 'project_id' argument instead
      return f(*args, **kwargs)
    /usr/lib/python2.7/site-packages/keystoneclient/httpclient.py:371: DeprecationWarning: Constructing an HTTPClient instance without using a session is deprecated as of the 1.7.0 release and may be removed in the 2.0.0 release.
      'the 2.0.0 release.', DeprecationWarning)
    /usr/lib/python2.7/site-packages/keystoneclient/session.py:140: DeprecationWarning: keystoneclient.session.Session is deprecated as of the 2.1.0 release in favor of keystoneauth1.session.Session. It will be removed in future releases.
      DeprecationWarning)
    /usr/lib/python2.7/site-packages/keystoneclient/auth/identity/base.py:56: DeprecationWarning: keystoneclient auth plugins are deprecated as of the 2.1.0 release in favor of keystoneauth1 plugins. They will be removed in future releases.
      'in future releases.', DeprecationWarning)


The command to use should be:

    openstack role list


Version-Release number of selected component (if applicable):

python-keystoneclient.noarch        1:2.3.1-3.el7ost    @rhelosp-9.0-puddle
python-openstackclient.noarch       2.2.0-1.el7ost      @rhelosp-9.0-puddle

How reproducible:

always.

Steps to Reproduce:
1. Follow the doc https://access.redhat.com/documentation/en/red-hat-openstack-platform/9/paged/upgrading-red-hat-openstack-platform/chapter-3-director-based-environments-performing-upgrades-to-major-versions

Comment 1 Sofer Athlan-Guyot 2017-01-19 13:45:57 UTC
As a side note the:

  keystone role-create --name _member_

and 

  keystone user-role-add --user admin --role _member_ --tenant admin

return a stack trace as well, but actually work.

Comment 2 Sofer Athlan-Guyot 2017-01-19 13:47:59 UTC
They all work (even the list), but as the output of the keystone role-list is empty, we only see the stacktrace which let the user think that something went bad.

Comment 3 Dan Macpherson 2017-03-03 05:40:35 UTC
Hi Sofer,

I've removed the deprecated commands and replaced them with the unified openstack commands:

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/9/html-single/upgrading_red_hat_openstack_platform/#sect-Major-Updating_Director_Packages

Was there anything further you needed for this section? If not, I'll close this BZ.

Comment 4 Sofer Athlan-Guyot 2017-03-20 13:51:58 UTC
Hi Dan,

nothing else.  You can close it.

Thanks,

Comment 5 Dan Macpherson 2017-03-20 14:11:26 UTC
Thanks, Sofer!


Note You need to log in before you can comment on or make changes to this bug.